import 'package:dio/dio.dart';

Dio createHttpOptions() {
	Map<String, String> headers = Map();
	headers.putIfAbsent('X-Parse-Application-Id', () => 'ape_app_id');
	//headers.putIfAbsent('X-Parse-REST-API-Key', () => 'ape_restapi_key');

	Options options = new Options(
			baseUrl: 'http://test.apethegame.com:1337/ape',
			connectTimeout: 10000,
			receiveTimeout: 3000,
			headers: headers
	);

	Dio dio = Dio(options);

	return dio;
}

void main() async {
	Dio dio = createHttpOptions();
	Response response = await dio.get('/classes/Character/oCnCKbjJCB');
	print(response.data.toString());
}

