import 'package:parse_sdk_dart/src/http/parse_http_client.dart';
import 'package:parse_sdk_dart/src/parse/parse_server_configuration.dart';

class Parse {
  ParseServerConfiguration configuration;
  ParseHttpClient client = ParseHttpClient();

  static void initialize(String serverUrl, String applicationId,
      {String liveQueryUrl, String masterKey, String sessionId}) {
    ParseServerConfiguration.init(serverUrl, applicationId,
        liveQueryUrl: liveQueryUrl, masterKey: masterKey, sessionId: sessionId);

    _newInstance(ParseServerConfiguration());
  }

  static Parse _newInstance(ParseServerConfiguration configuration) {
    var parse = Parse();
    parse.configuration = configuration;
    parse.client.configuration = configuration;
    return parse;
  }
}
